MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025470Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-11-12 16:232015-05-14 15:32
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025470: Wrong result of COMMON operation
DescriptionWrong result of COMMON operation between attached shapes.
Steps To Reproducerestore S.brep b1
restore T.brep b2
bclearobjects; bcleartools
baddobjects b1; baddtools b2
bfillds -s
bbop r 0
# the result is empty compound
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25470
Attached Files? file icon S.brep (572,248 bytes) 2014-11-12 16:23
? file icon T.brep (525 bytes) 2014-11-12 16:23

- Relationships

-  Notes
(0034382)
emv (developer)
2014-11-13 09:24

Dear Bugmaster,
Could you move the issue to the Open CASCADE project, please.
(0034724)
git (administrator)
2014-11-27 10:30

Branch CR25470 has been created by emv.

SHA-1: 369783b0042d9e46e6c850d86ed93af78981c54b


Detailed log of new commits:

Author: emv
Date: Wed Nov 26 18:10:27 2014 +0300

    0025470: Wrong result of COMMON operation
    
    Fix for correct splitting of infinite faces.
(0034725)
emv (developer)
2014-11-27 10:32

Git branch CR25470 is ready to be reviewed.
(0034726)
pkv (developer)
2014-11-27 10:49

Reviewed
(0034765)
mkv (tester)
2014-11-27 18:56

Dear BugMaster,
Branch CR25470 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 369783b0042d9e46e6c850d86ed93af78981c54b

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests.nnov.opencascade.com/CR25470-master-occt/Debian60-64/bugs/modalg_5/bug25470.html [^]
http://occt-tests.nnov.opencascade.com/CR25470-master-occt/Windows-32-VC10/bugs/modalg_5/bug25470.html [^]
bugs modalg_5(010) bug25470: OK

Testing on Linux:
occt component :
Total MEMORY difference: 359812388 / 359261588
Total CPU difference: 47738.56000000003 / 47823.01999999983
products component :
Total MEMORY difference: 111634720 / 112192264
Total CPU difference: 16332.03999999999 / 16025.479999999967

Testing on Windows:
occt component :
Total MEMORY difference: 274129648 / 273727588
Total CPU difference: 35004.625 / 40219.09375
products component :
Total MEMORY difference: 72232608 / 71122820
Total CPU difference: 11515.671875 / 11101.078125

There are no differences in images found by testdiff.
(0034766)
git (administrator)
2014-11-27 18:59

Branch CR25470 has been updated by mkv.

SHA-1: f3bb90e2b70b0e1f16e9dbd55e9f21949b310f72


Detailed log of new commits:

Author: mkv
Date: Thu Nov 27 18:59:03 2014 +0300

    Test cases for issue CR25470

(0034768)
mkv (tester)
2014-11-27 19:01

Dear emv,
could you please review test case bugs/modalg_5(010)/bug25470
(0034771)
emv (developer)
2014-11-27 19:12

OK.
(0036613)
git (administrator)
2015-01-26 12:37

Branch CR25470 has been deleted by inv.

SHA-1: f3bb90e2b70b0e1f16e9dbd55e9f21949b310f72

- Related Changesets
occt: master d2d9e8dc
Timestamp: 2014-11-28 10:25:00
Author: emv
Committer: bugmaster
Details ] Diff ]
0025470: Wrong result of COMMON operation

Fix for correct splitting of infinite faces.

Test cases for issue CR25470
mod - src/BOPAlgo/BOPAlgo_BuilderFace.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25470 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-12 16:23 emv New Issue
2014-11-12 16:23 emv Assigned To => emv
2014-11-12 16:23 emv File Added: S.brep
2014-11-12 16:23 emv File Added: T.brep
2014-11-12 16:24 emv Status new => assigned
2014-11-13 09:24 emv Note Added: 0034382
2014-11-13 11:31 bugmaster Project Salome => Open CASCADE
2014-11-27 10:30 git Note Added: 0034724
2014-11-27 10:32 emv Note Added: 0034725
2014-11-27 10:32 emv Assigned To emv => pkv
2014-11-27 10:32 emv Status assigned => resolved
2014-11-27 10:49 pkv Status resolved => reviewed
2014-11-27 10:49 pkv Note Added: 0034726
2014-11-27 10:50 pkv Assigned To pkv => mkv
2014-11-27 18:56 mkv Note Added: 0034765
2014-11-27 18:59 git Note Added: 0034766
2014-11-27 19:00 mkv Test case number => bugs modalg_5(010) bug25470
2014-11-27 19:00 mkv Assigned To mkv => emv
2014-11-27 19:00 mkv Status reviewed => feedback
2014-11-27 19:01 mkv Note Added: 0034768
2014-11-27 19:12 emv Note Added: 0034771
2014-11-27 19:12 emv Assigned To emv => mkv
2014-11-27 19:12 emv Status feedback => reviewed
2014-11-27 19:21 mkv Assigned To mkv => bugmaster
2014-11-27 19:21 mkv Status reviewed => tested
2014-12-01 12:26 bugmaster Changeset attached => occt master d2d9e8dc
2014-12-01 12:26 bugmaster Status tested => verified
2014-12-01 12:26 bugmaster Resolution open => fixed
2015-01-19 16:21 bugmaster Target Version => 6.9.0
2015-01-26 12:37 git Note Added: 0036613
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker